Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.range
Interface Range

All Known Implementing Classes:
  RangeImpl

public interface Range

Since:
  DOM Level 2

Field Summary
`static short` | `END_TO_END`
`static short` | `END_TO_START`
`static short` | `START_TO_END`
`static short` | `START_TO_START`

Method Summary
`DocumentFragment` | `cloneContents()` Duplicates the contents of a range
`Range` | `cloneRange()` Produces a new range whose boundary-points are equal to the boundary-points of the range.
`void` | `collapse(boolean toStart)` Collapse a range onto one of its boundary-points
`short` | `compareBoundaryPoints(short how, Range sourceRange)` Compare the boundary-points of two ranges in a document.
`void` | `deleteContents()` Removes the contents of a range from the containing document or document fragment without returning a reference to the removed content.
`void` | `detach()` Called to indicate that the range is no longer in use and that the implementation may relinquish any resources associated with this range.
`DocumentFragment` | `extractContents()` Moves the contents of a range from the containing document or document fragment to a new DocumentFragment.
`boolean` | `getCollapsed()` TRUE if the range is collapsed
`Node` | `getCommonAncestorContainer()` The deepest common ancestor container of the range's two boundary-points.
`Node` | `getEndContainer()` Node within which the range ends
`int` | `getEndOffset()` Offset within the ending node of the range.
`Node` | `getStartContainer()` Node within which the range begins
`int` | `getStartOffset()` Offset within the starting node of the range.
`void` | `insertNode(Node newNode)` Inserts a node into the document or document fragment at the start of the range.
`void` | `selectNode(Node refNode)` Select a node and its contents
`void` | `selectNodeContents(Node refNode)` Select the contents within a node
`void` | `setEnd(Node refNode, int offset)` Sets the attributes describing the end of a range.
`void` | `setEndAfter(Node refNode)` Sets the end of a range to be after a node
`void` | `setEndBefore(Node refNode)` Sets the end position to be before a node.
`void` | `setStart(Node refNode, int offset)` Sets the attributes describing the start of the range.
`void` | `setStartAfter(Node refNode)` Sets the start position to be after a node
`void` | `setStartBefore(Node refNode)` Sets the start position to be before a node
`void` | `surroundContents(Node newParent)` Reparents the contents of the range to the given node and inserts the node at the position of the start of the range.
`java.lang.String` | `toString()` Returns the contents of a range as a string.

Field Detail

### START_TO_START

    public static final short START_TO_START

### START_TO_END

    public static final short START_TO_END

### END_TO_END

    public static final short END_TO_END

### END_TO_START

    public static final short END_TO_START

Method Detail

### getStartContainer

    public Node getStartContainer()
                           throws DOMException

  Node within which the range begins
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getStartOffset

    public int getStartOffset()
                       throws DOMException

  Offset within the starting node of the range.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getEndContainer

    public Node getEndContainer()
                         throws DOMException

  Node within which the range ends
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getEndOffset

    public int getEndOffset()
                     throws DOMException

  Offset within the ending node of the range.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getCollapsed

    public boolean getCollapsed()
                         throws DOMException

  TRUE if the range is collapsed
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### getCommonAncestorContainer

    public Node getCommonAncestorContainer()
                                    throws DOMException

  The deepest common ancestor container of the range's two boundary-points.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setStart

    public void setStart(Node refNode,
                         int offset)
                  throws RangeException,
                         DOMException

  Sets the attributes describing the start of the range.
  Parameters:
    `refNode` - The `refNode` value. This parameter must be different from `null` .
    `offset` - The `startOffset` value.
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if`refNode` or an ancestor of `refNode` is an Entity, Notation, or DocumentType node.
    `DOMException` - INDEX_SIZE_ERR: Raised if `offset` is negative or greater than the number of child units in `refNode` . Child units are 16-bit units if `refNode` is a CharacterData, Comment or ProcessingInstruction node. Child units are Nodes in all other cases.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setEnd

    public void setEnd(Node refNode,
                       int offset)
                throws RangeException,
                       DOMException

  Sets the attributes describing the end of a range.
  Parameters:
    `refNode` - The `refNode` value. This parameter must be different from `null` .
    `offset` - The `endOffset` value.
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if`refNode` or an ancestor of `refNode` is an Entity, Notation, or DocumentType node.
    `DOMException` - INDEX_SIZE_ERR: Raised if `offset` is negative or greater than the number of child units in `refNode` . Child units are 16-bit units if `refNode` is a CharacterData, Comment or ProcessingInstruction node. Child units are Nodes in all other cases.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setStartBefore

    public void setStartBefore(Node refNode)
                        throws RangeException,
                               DOMException

  Sets the start position to be before a node
  Parameters:
    `refNode` - Range starts before `refNode`
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if an ancestor of `refNode` is an Entity, Notation, or DocumentType node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setStartAfter

    public void setStartAfter(Node refNode)
                       throws RangeException,
                              DOMException

  Sets the start position to be after a node
  Parameters:
    `refNode` - Range starts after `refNode`
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if an ancestor of `refNode` is an Entity, Notation, or DocumentType node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setEndBefore

    public void setEndBefore(Node refNode)
                      throws RangeException,
                             DOMException

  Sets the end position to be before a node.
  Parameters:
    `refNode` - Range ends before `refNode`
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if an ancestor of `refNode` is an Entity, Notation, or DocumentType node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### setEndAfter

    public void setEndAfter(Node refNode)
                     throws RangeException,
                            DOMException

  Sets the end of a range to be after a node
  Parameters:
    `refNode` - Range ends after `refNode` .
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if an ancestor of `refNode` is an Entity, Notation or DocumentType node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### collapse

    public void collapse(boolean toStart)
                  throws DOMException

  Collapse a range onto one of its boundary-points
  Parameters:
    `toStart` - If TRUE, collapses the Range onto its start; if FALSE, collapses it onto its end.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### selectNode

    public void selectNode(Node refNode)
                    throws RangeException,
                           DOMException

  Select a node and its contents
  Parameters:
    `refNode` - The node to select.
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if an ancestor of `refNode` is an Entity, Notation or DocumentType node or if `refNode` is a Document, DocumentFragment, Attr, Entity, or Notation node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### selectNodeContents

    public void selectNodeContents(Node refNode)
                            throws RangeException,
                                   DOMException

  Select the contents within a node
  Parameters:
    `refNode` - Node to select from
  Throws:
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if`refNode` or an ancestor of `refNode` is an Entity, Notation or DocumentType node.
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### compareBoundaryPoints

    public short compareBoundaryPoints(short how,
                                       Range sourceRange)
                                throws DOMException

  Compare the boundary-points of two ranges in a document.
  Parameters:
    `how` -
    `sourceRange` -
  Returns:
    -1, 0 or 1 depending on whether the corresponding boundary-point of the Range is before, equal to, or after the corresponding boundary-point of `sourceRange` .
  Throws:
    `DOMException` - WRONG_DOCUMENT_ERR: Raised if the two Ranges are not in the same document or document fragment.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### deleteContents

    public void deleteContents()
                        throws DOMException

  Removes the contents of a range from the containing document or document fragment without returning a reference to the removed content.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if any portion of the content of the range is read-only or any of the nodes that contain any of the content of the range are read-only.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### extractContents

    public DocumentFragment extractContents()
                                     throws DOMException

  Moves the contents of a range from the containing document or document fragment to a new DocumentFragment.
  Returns:
    A DocumentFragment containing the extracted contents.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if any portion of the content of the range is read-only or any of the nodes which contain any of the content of the range are read-only.
    HIERARCHY_REQUEST_ERR: Raised if a DocumentType node would be extracted into the new DocumentFragment.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### cloneContents

    public DocumentFragment cloneContents()
                                   throws DOMException

  Duplicates the contents of a range
  Returns:
    A DocumentFragment containing contents equivalent to those of this range.
  Throws:
    `DOMException` - HIERARCHY_REQUEST_ERR: Raised if a DocumentType node would be extracted into the new DocumentFragment.
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### insertNode

    public void insertNode(Node newNode)
                    throws DOMException,
                           RangeException

  Inserts a node into the document or document fragment at the start of the range.
  Parameters:
    `newNode` - The node to insert at the start of the range
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if an ancestor container of the start of the range is read-only.
    WRONG_DOCUMENT_ERR: Raised if`newNode` and the container of the start of the Range were not created from the same document.
    HIERARCHY_REQUEST_ERR: Raised if the container of the start of the Range is of a type that does not allow children of the type of `newNode` or if `newNode` is an ancestor of the container .
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - INVALID_NODE_TYPE_ERR: Raised if`node` is an Attr, Entity, Notation, DocumentFragment, or Document node.

### surroundContents

    public void surroundContents(Node newParent)
                          throws DOMException,
                                 RangeException

  Reparents the contents of the range to the given node and inserts the node at the position of the start of the range.
  Parameters:
    `newParent` - The node to surround the contents with.
  Throws:
    `DOMException` - NO_MODIFICATION_ALLOWED_ERR: Raised if an ancestor container of either boundary-point of the range is read-only.
    WRONG_DOCUMENT_ERR: Raised if`newParent` and the container of the start of the Range were not created from the same document.
    HIERARCHY_REQUEST_ERR: Raised if the container of the start of the Range is of a type that does not allow children of the type of `newParent` or if `newParent` is an ancestor of the container or if `node` would end up with a child node of a type not allowed by the type of `node` .
    INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.
    `RangeException` - BAD_BOUNDARYPOINTS_ERR: Raised if the range partially selects a non-text node.
    INVALID_NODE_TYPE_ERR: Raised if`node` is an Attr, Entity, DocumentType, Notation, Document, or DocumentFragment node.

### cloneRange

    public Range cloneRange()
                     throws DOMException

  Produces a new range whose boundary-points are equal to the boundary-points of the range.
  Returns:
    The duplicated range.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### toString

    public java.lang.String toString()
                              throws DOMException

  Returns the contents of a range as a string.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The contents of the range.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

### detach

    public void detach()
                throws DOMException

  Called to indicate that the range is no longer in use and that the implementation may relinquish any resources associated with this range. Subsequent calls to any methods or attribute getters on this range will result in a `DOMException` being thrown with an error code of `INVALID_STATE_ERR` .
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if `detach()` has already been invoked on this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD